import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("program", "0128_rename_note_to_episode_and_move_timeslot_data"),
    ]

    operations = [
        # Create show assignment.
        migrations.AddField(
            model_name="episode",
            name="show",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="episodes",
                to="program.show",
            ),
        ),
        migrations.RunSQL(
            """
            UPDATE program_episode
            SET show_id = (
                SELECT program_schedule.show_id
                FROM program_timeslot
                INNER JOIN program_schedule ON program_timeslot.schedule_id = program_schedule.id
                WHERE program_timeslot.id = program_episode.timeslot_id
            )
            """,
            reverse_sql=migrations.RunSQL.noop,
        ),
    ]
